Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.music
Class NoteRequestInfo

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.music.NoteRequestInfo

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

Direct Known Subclasses:
  NoteRequest

public class NoteRequestInfo
extends QTByteObject
implements quicktime.jdirect.PrimitivesLib, java.lang.Cloneable

Provides the basic information that is used to create a NoteChannel. Typically an application uses the complete NoteRequest (subclass) when using QT Music services.

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`NoteRequestInfo()` Creates a NoteRequestInfo instance with the default values.
`NoteRequestInfo(int poly)` Create a NoteRequestInfo from the given polyphony value.

Method Summary
`java.lang.Object` | `clone()` Makes a copy of a NoteRequestInfo object.
`int` | `getFlags()` Gets the flags of the NoteRequestInfo
`int` | `getMIDIChannel()` Gets the MIDIChannel - a value of zero indicates an unassigned channel and QTMA will then use the first free channel if required.
`int` | `getPolyphony()` Gets the polyphony of the NoteRequestInfo
`float` | `getTypicalPolyphony()` Gets the typicalPolyphony of the NoteRequestInfo
`void` | `setFlags(int flags)` Sets the flags of the NoteRequestInfo
`void` | `setMIDIChannel(int chan)` Sets the MIDIChannel - a value of zero indicates an unassigned channel and QTMA will then use the first free channel if required.
`void` | `setPolyphony(int poly)` Sets the polyphony of the NoteRequestInfo
`void` | `setTypicalPolyphony(float poly)` Sets the typicalPolyphony of the NoteRequestInfo
`java.lang.String` | `toString()` Returns a string representation of this object

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### NoteRequestInfo

    public NoteRequestInfo()

  Creates a NoteRequestInfo instance with the default values. Polyphony is set to 1.

### NoteRequestInfo

    public NoteRequestInfo(int poly)
                    throws QTException

  Create a NoteRequestInfo from the given polyphony value.
  Parameters:
    `poly` - the most number of simulateous notes maybe played at the same time. This value is a suggestion to the music toolbox that is used to estimate the resources a NoteChannel will be required to utilise.

Method Detail

### getFlags

    public final int getFlags()

  Gets the flags of the NoteRequestInfo
  Returns:
    flags

### setFlags

    public final void setFlags(int flags)

  Sets the flags of the NoteRequestInfo
  Parameters:
    `flags` - flags to set

### getMIDIChannel

    public final int getMIDIChannel()

  Gets the MIDIChannel - a value of zero indicates an unassigned channel and QTMA will then use the first free channel if required.
  Returns:
    MIDIChannel

### setMIDIChannel

    public final void setMIDIChannel(int chan)

  Sets the MIDIChannel - a value of zero indicates an unassigned channel and QTMA will then use the first free channel if required.
  Parameters:
    `chan` - MIDIChannel

### getPolyphony

    public final int getPolyphony()

  Gets the polyphony of the NoteRequestInfo
  Returns:
    polyphony

### setPolyphony

    public final void setPolyphony(int poly)

  Sets the polyphony of the NoteRequestInfo
  Parameters:
    `poly` - polyphony to set

### getTypicalPolyphony

    public final float getTypicalPolyphony()

  Gets the typicalPolyphony of the NoteRequestInfo
  Returns:
    typicalPolyphony

### setTypicalPolyphony

    public final void setTypicalPolyphony(float poly)

  Sets the typicalPolyphony of the NoteRequestInfo
  Parameters:
    `poly` - typicalPolyphony to set

### toString

    public java.lang.String toString()

  Description copied from class: `QTByteObject`
  Returns a string representation of this object
  Overrides:
    `toString` in class `QTByteObject`

### clone

    public java.lang.Object clone()

  Makes a copy of a NoteRequestInfo object.
  Returns:
    a NoteRequestInfo

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD